Package org.eclipse.emf.cdo.spi.server

## Interface InternalQueryManager

-     public interface InternalQueryManager

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancel​(int queryID)` |
    `InternalQueryResult` | `execute​(InternalView view, CDOQueryInfo queryInfo)` |
    `InternalRepository` | `getRepository()` |
    `boolean` | `isRunning​(int queryID)` |
    `void` | `setRepository​(InternalRepository repository)` |

- - ### Method Detail

    - #### getRepository

          InternalRepository getRepository()

    - #### setRepository

          void setRepository​(InternalRepository repository)

    - #### execute

          InternalQueryResult execute​(InternalView view,
                                      CDOQueryInfo queryInfo)

    - #### isRunning

          boolean isRunning​(int queryID)

    - #### cancel

          void cancel​(int queryID)